summaryrefslogtreecommitdiff
path: root/extra/aspell
diff options
context:
space:
mode:
authorParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
committerParabola <dev@list.parabolagnulinux.org>2011-04-05 14:26:38 +0000
commit415856bdd4f48ab4f2732996f0bae58595092bbe (patch)
treeede2018b591f6dfb477fe9341ba17b9bc000fab9 /extra/aspell
Tue Apr 5 14:26:38 UTC 2011
Diffstat (limited to 'extra/aspell')
-rw-r--r--extra/aspell/PKGBUILD36
-rw-r--r--extra/aspell/aspell.install24
2 files changed, 60 insertions, 0 deletions
diff --git a/extra/aspell/PKGBUILD b/extra/aspell/PKGBUILD
new file mode 100644
index 000000000..7e224400a
--- /dev/null
+++ b/extra/aspell/PKGBUILD
@@ -0,0 +1,36 @@
+# $Id: PKGBUILD 107951 2011-01-28 03:53:36Z eric $
+# Contributor: Jochem Kossen <j.kossen@home.nl>
+# Contributor: dorphell <dorphell@archlinux.org>
+# Contributor: Thayer Williams <thayer@archlinux.org>
+# Maintainer: Daniel J Griffiths <ghost1227@archlinux.us>
+
+pkgname=aspell
+pkgver=0.60.6
+_pkgmajorver=0.60
+pkgrel=5
+pkgdesc="A spell checker designed to eventually replace Ispell"
+url="http://aspell.net/"
+arch=('i686' 'x86_64')
+license=('LGPL')
+depends=('gcc-libs' 'ncurses>=5.6-7')
+optdepends=('perl: to import old dictionaries')
+options=('!libtool')
+install=aspell.install
+source=(ftp://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('bc80f0198773d5c05086522be67334eb')
+sha1sums=('335bcb560e00f59d89ec9e4c4114c325fb0e65f4')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ ./configure --prefix=/usr --sysconfdir=/etc
+ make
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ make DESTDIR="${pkgdir}" install
+ ln -s ${pkgname}-${_pkgmajorver} \
+ "${pkgdir}/usr/lib/${pkgname}"
+}
diff --git a/extra/aspell/aspell.install b/extra/aspell/aspell.install
new file mode 100644
index 000000000..5a128ae41
--- /dev/null
+++ b/extra/aspell/aspell.install
@@ -0,0 +1,24 @@
+infodir=/usr/share/info
+filelist=(aspell.info aspell-dev.info)
+
+post_install() {
+ echo "==> aspell comes with no default dictionary"
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+post_upgrade() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+}